diff --git a/lib/redmine/themes.rb b/lib/redmine/themes.rb
index e4dffa3..c30d8a2 100644
--- a/lib/redmine/themes.rb
+++ b/lib/redmine/themes.rb
@@ -41,9 +41,14 @@ module Redmine
     class Theme
       attr_reader :path, :name, :dir
 
+      # Public location where the theme can be accessed at from the web server.
+      # e.g. /themes/foo
+      attr_reader :public_path
+      
       def initialize(path)
         @path = path
         @dir = File.basename(path)
+        @public_path = path.gsub(Rails.public_path, '')
         @name = @dir.humanize
         @stylesheets = nil
         @javascripts = nil
@@ -69,11 +74,11 @@ module Redmine
       end
 
       def stylesheet_path(source)
-        "/themes/#{dir}/stylesheets/#{source}"
+        public_path + "/stylesheets/#{source}"
       end
 
       def javascript_path(source)
-        "/themes/#{dir}/javascripts/#{source}"
+        public_path + "/javascripts/#{source}"
       end
 
       private
